.SH
Annex: events
.LP
.BULLET
.UL "1665" ,
Isaac Newton 
.BULLET
.UL "1784" ,
first observation of Cepheid variable star.
.BULLET
.UL "1908-1912" ,
Henrietta Swan Leavitt discovers a relation between Cepheid variable stars' brightness and period of their variation.
And this leads to knowing the distance between these stars: we now can make wild approximations on astonomic distances between us and stars.
.BULLET
.UL "1916, general theory of relativity" ,
a decade-long struggle to create a new theory of gravity by Albert Einstein.
.br
This work is also about space and time, and explains not only how objects move in the universe, but also how the universe itself might evolve.
.BULLET
.UL "1925" ,
Hubble publishes his study on spiral
.I nebulae ,
where he identified Cepheid variable stars in them (including the
.I nebulae
we currently know as Andromeda).
.BULLET
.UL "1925, Mount Wilson 100-inch Hooker telescope" ,
the world's largest at the time.
.BULLET
.UL "1927" :
Lemaître shows that the Einstein's equations suggest an expanding universe.
.BULLET
.UL "1930" :
Lemaître proposes an universe beginning in a small point he called
.I "Primeval Atom" .
.BULLET
.UL "1933" :
Zwicky concludes that the Coma cluster is about 100 times more massive than the sum of the masses of its stars.
.ENDBULLET

.SH
Annex: vocabulary
.LP
.BULLET
.UL "perihelion" :
point of an orbit where the object (e.g.: a planet) is the closest from another object (e.g.: a star).
.BULLET
.UL "aphelion" :
opposite of perihelion, point of an orbit where the object is the farthest from another object.
.BULLET
.UL "precession" :
change in an angle over time.
This can be the angle of the ellipse formed by the orbital journey of a planet (apsidal precession).
Or this can be the movement of the rotational axis of an astronomical body, whereby the axis slowly traces out a cone (axial precession).
Finally, the precession can be a change in the
.I plane
of the orbital course (nodal precession), which can be caused by a third gravitational object.
.BULLET
.UL "nebulae" :
.I "fuzzy thing"
(or cloud) in latin.
Galaxies were named this way before we understood what we saw.
.BULLET
.UL "Cepheid variable" :
star whose brightness varies over some regular period, indicating a change in diameter and temperature.
.BULLET
.UL "Doppler Effect" :
a wave coming at you will be stretched if the source is moving away from you, or compressed if the source is coming toward you.
.BULLET
.UL "Nuclei" :
.ENDBULLET

.SH
Annex: people involved
.LP
.BULLET
.UL "Johannes Kepler" :
known for the first heliocentric model.
.BULLET
.UL "Isaac Newton" :
.BULLET
.UL "Christian Doppler" :
australian physicist, known for the "Doppler Effect".
.BULLET
.UL "Albert Einstein" :
.BULLET
.UL "Georges Lemaître" :
physicist and preist, first to suggest that the universe was expanding in 1927.
.br
He started as an engineer, then was a decorated artilleryman in WW1, switched to mathematics, and priesthood in early 1920s.
Then moved to cosmology and first studied with Sir Arthur Stanley Eddington before moving on to Harvard and receiving a second PhD in physics from MIT.
.BULLET
.UL "Arthur Stanley Eddington" :
astronomer.
.BULLET
.UL "Henrietta Swan Leavitt" :
Harvard College Observatory "computer".
Discovered the relation between Cepheid variable stars' brightness and period of variation.
.BULLET
.UL "Edwin Hubble" :
former lawyer, became astronomer.
Made the first observation of the expansion of the universe.
.BULLET
.UL "Harlow Shapley" :
discovered the Sun wasn't at the center of the Milky Way, and that our galaxy was much larger than we previously thought.
.BULLET
.UL "Vesto Slipher" :
astronomer, he measured the spectra of light coming from several galaxies.
.BULLET
.UL "Fritz Zwicky" :
astronomer, analyzed in 1933 that galaxies in the Coma cluster were moving so fast they would have quit the cluster unless the cluster was 100 times more massive than the sum of the masses of the stars.
.BULLET
.UL "Tony Tyson" :
physicist.
Discovered the mass between galaxies through images from the Hubble Space Telescope.
.ENDBULLET
.
.SH
Random explanations
.PP
.METAINFO1
TODO: explain how we measure stuff with telescopes (resolution, focal, arcsecond unit, etc.).
.METAINFO2

Diffraction: behavior of waves when reaching an aperture.
.PS
reset
rad_large_circle = 0.6   # Size of circles.
rad_empty_space  = 0.5   # Size of circles.
rad_light_source = 0.3   # Size of circles.
rad_aperture     = 0.1   # Size of circles.

fill_large_circle = 0.1   # Represents light intensity.
fill_empty_space  = 0.6   # Represents light intensity.
fill_light_source = 0     # Represents light intensity.

txt_x_shift = 0.05               # Shift from arrow start.
txt_y_shift = 0.05               # Shift from arrow start.
space_between_arrows_y = -0.25   # Allow space for text.

CIRCULAR_DIFFRACTION_FIGURE: [
circlerad = rad_large_circle
circle fill fill_large_circle

circlerad = rad_empty_space
move to last circle + (-circlerad, 0)
circle fill fill_empty_space

circlerad = rad_light_source
move to last circle + (-circlerad, 0)
circle fill fill_light_source

circlerad = rad_light_source
move to last circle + (-circlerad, 0)
LIGHT_SOURCE: circle fill fill_light_source

circlerad = rad_aperture
move to last circle + (-circlerad, 0)
APERTURE: circle fill fill_light_source dashed

# LEGEND.

move 0.6
arrow to APERTURE chop 0 chop rad_aperture
move to last arrow.s + (txt_x_shift,txt_y_shift)
"Aperture, where light can pass through" ljust

move to last arrow.s + (0,space_between_arrows_y)
arrow to LIGHT_SOURCE chop 0 chop rad_light_source
move to last arrow.s + (txt_x_shift,txt_y_shift)
"Main visible light source, very bright" ljust

move to last arrow.s + (0,space_between_arrows_y)
arrow to LIGHT_SOURCE chop 0 chop rad_empty_space
move to last arrow.s + (txt_x_shift,txt_y_shift)
"Empty space, very little light" ljust

move to last arrow.s + (0,space_between_arrows_y)
arrow to LIGHT_SOURCE chop 0 chop rad_large_circle
move to last arrow.s + (txt_x_shift,txt_y_shift)
"Halo, thin light" ljust

# let's cheat a little
# Center the figure.
false_line_x = 2.7
line from LIGHT_SOURCE + (false_line_x,0) to LIGHT_SOURCE + (false_line_x,0)
]

move to CIRCULAR_DIFFRACTION_FIGURE + (0, -1)
"Circular diffraction"
.PE
