.NH 1
a cosmic mystery story: beginnings
.PP
.METAINFO1
Contrary to the book, I describe things chronogically in the summary.
Some pieces of information (such as dates, explanations, events), absent from the book, are added for the sake of completeness.
.METAINFO2

1514: Nicolaus Copernicus suggests an heliocentric model.

.EXPLANATION1
Planets move around the sun.
.EXPLANATION2

Between 1609 and 1619: Johannes Kepler publishes his
.I "laws of planetary motions" ,
which fixes a few problems with the view of Copernicus on the matter:

.BULLET
Planets move around the sun in ellipses.
.BULLET
The Sun is not near the center but at a focal point of the elliptical orbit.
.BULLET
Neither the linear speed nor the angular speed of the planet in the orbit is constant, but the area speed (closely linked historically with the concept of angular momentum) is constant.
.ENDBULLET

Another way to express the same thing, with a direct citation from the book:
.BULLET
Planets move around the sun in ellipses.
.BULLET
A
.I line
connecting a planet and the Sun sweeps out equal
.I areas
during equal intervals of time.
.BULLET
The
.I square
of the
.I "orbital period"
of a planet is directly proportional to the
.I cube
(3rd power) of the
.I "semi-major axis"
of its orbit (or, in other words, of the "semi-major axis" of the ellipse, half of the distance across the widest part of the ellipse).
.ENDBULLET


1665: Isaac Newton uses a prism to see the sunlight disperse into the colors of a rainbow.
He manages to obtain this result by only letting the light of the sun enter a room by a small hole in the window shutter.
His conclusion: the white light contains all these colors.

.EXPLANATION1
Sunlight contains a spectrum of colors.
.EXPLANATION2

1784: first observation of Cepheid variable star, which are stars whose brightness varies over some regular period.

(around) 1815: a scientist\*[*]
.FS
His name is not given in the book.
.FE
analyses the dispersed light: some colors aren't there.
His conclusion: some materials in the outer atmosphere of the sun are absorbing the light of certain colors or wavelengths.
Known materials are tested to see what are the colors they
.I absorb ,
which includes: hydrogen, oxygen, iron, sodium, and calcium.

.EXPLANATION1
Materials may
"absorb"
some part of the solar spectrum.
Different materials, different parts of the spectrum.
.EXPLANATION2

1842: Christian Doppler discovers the Doppler Effect.

.EXPLANATION1
Doppler Effect: a wave coming at you will be stretched if the source is moving away from you, or compressed if the source is coming toward you.
.EXPLANATION2

1868: a scientist\*[*]
.FS
Again, not named in the book.
.FE
observes two missing lines in the yellow part of the solar spectrum.
This doesn't correspond to the effect of materials we know on Earth.
His conclusion: these
.I absorbed
colors must be the result of an element that doesn't come from Earth.
This element is then named
.I helium .

A generation after we understood the sun has elements we don't have (as much) on Earth\*[*],
.FS
Yeah, not even a date, again.
.FE
.I helium
is isolated on Earth.

.EXPLANATION1
The spectrum of radiation of stars provides their composition, temperature and evolution.
.EXPLANATION2

1908-1912: Henrietta Swan Leavitt discovers a relation between the brightness of Cepheid variable stars and their pulsation period.

.EXPLANATION1
The light spreads out uniformly over a sphere whose area increases as the square of the distance (this is called the inverse-square law).
Thus since the light is spread out over a bigger sphere, the intensity of the light observed at any point decreases inversely with the area of the sphere.
.EXPLANATION2
.NAMECITATION "TODO: find out who and when this was discovered"

.EXPLANATION1
Observing the pulsation period of a Cepheid indicates its true luminosity.
Also, the observed brightness of stars goes down inversely with the square of the distance to the star.
Therefore, comparing its known luminosity to its observed brightness gives us the actual distance to the star.
.EXPLANATION2

.\".CITATION1
.\"If one could determine the distance to a single Cepheid of a known period, then measuring the brightness of other Cepheids of the same period would allow one to determine the distance to these other stars.
.\".CITATION2
.\".NAMECITATION "Lawrence Krauss"
.
Starting in 1912, Slipher observes the spectra of light coming from nearby stars and distant spiral nebulae\*[*]
.FS
.I Nebulae
that we will soon find out they are actually entire galaxies.
.FE
are almost the same.
The difference is a shift of the same wavelength in the
.I absorbed
lines.

1916, A. Einstein publishes his work on the
.I "general theory of relativity" .
This work is about gravity, space and time, and explains not only how objects move in the universe, but also how the universe itself might evolve.
Amongst many uses of this theory, the orbit of Mercury can be predicted more accurately than before with Newton's theory of gravity.
This fixes a small difference between observation and theoretical results\*[*].
.FS
The planet doesn't come back to its initial position after an ellipse around the sun.
There is a slight precession of the perihelion of Mercury: 43 arc seconds (only
.PRETTY_PERCENTAGE 1 100
of a degree) per century.
.FE

However, the theories of Newton and Einstein are both, at some point, inconsistent with the observations.
Gravitation is thought to be an attractive force: objects should then always collapse into each other.
Also, the scientific community still thinks the universe as static, eternal and composed of a single galaxy (our Milky Way) surrounded by a vast, dark, infinite empty space.
And without accurate knowledge of the distances with observed stars, nor better images, this idea seems consistent with the observations.

1917: Mount Wilson 100-inch (2.5 m) Hooker telescope, the world's largest at the time (from 1917 to 1949).
It will soon help to discover many things.
For example,
to prove the Andromeda nebula is external to our galaxy (1923, Edwin Hubble),
that the Universe is expanding (1929, Hubble and Milton Humason)
and to measure both its expansion rate and the size of the known Universe,
to find evidence for dark matter (1930s, Fritz Zwicky),
etc\*[*].
.FS
We now make ten times bigger telescopes and hundred times bigger in area.
.FE

1923-1924, with the period-luminosity relation and the measurement of Cepheid variable stars, Hubble determines that the distance with some Cepheids are too great to be inside our Milky Way\*[*].
.FS
Hubble identifies a first galaxy (NGC 6822) in 1925, then the Triangulum galaxy (M33) in 1926, and Andromeda (M31) in 1929.
.FE

.EXPLANATION1
The universe contains other galaxies.
.EXPLANATION2

1925: Hubble publishes his study on spiral
.I nebulae ,
where he identified Cepheid variable stars in them (including the
.I nebulae
we currently know as Andromeda).

1927: Georges Lemaître is the first person to suggest the universe is expanding.
This is his conclusion after solving the Einstein's equations for general relativity.

1929: Hubble remarks that galaxies are moving away from each other.
More importantly, the more distant, the faster the velocity.
The relation is linear: a galaxy twice more distant is moving away twice as fast.

.EXPLANATION1
The universe is expanding.
.EXPLANATION2

1930: Georges Lemaître proposes that the universe began in a very small point, which he called
.I "Primeval Atom" \*[*].
.FS
This isn't accepted by the scientific community right away: actual observations were provided by Edwin Hubble beforehand.
.FE

.SH 2
Random facts: current state of knowledge
.LP
The expansion of the universe started 13.72 billion years ago.

Our galaxy is one of the about 100 to 400 billion other galaxies in the observable universe.

Over 200 million stars already exploded within our galaxy, providing us the material resources necessary for life on Earth.

Big Bang created light elements in massive quantities, such as hydrogen.
No nuclei heavier than lithium were produced during the initial universe expansion (too hot).
Heavier elements require the stars to be created (by their massive gravity), and their explosion to be dispersed across the galaxy.
The universe expansion explains the abundance of light elements.

.EXPLANATION1
Life on Earth is, literally, made of stars.
.EXPLANATION2

A supernova (the explosion of a star) occurs once every hundred years or so per galaxy.
The last one in our galaxy was in 1604.

Rare events, such as supernova, happen constantly at the scale of the universe.
Therefore, each night with a good enough telescope, you can expect to see a supernova.

Type 1a supernova (a certain type of exploding star) accurate luminosity can be infered by the duration they shine.
Their
.I observed
brightness provides their distance (with the inverse-square law), which also determines the distance with their galaxy.
Then, the redshift of the light from the stars in the galaxy indicates its velocity.
Finally, comparing the velocity of the galaxy and its distance allows us to infer the
.I "expansion rate of the universe" .

Galaxies are more and more distant from each other, this is the general trend.
In some cases, two galaxies may collide, but that is rare (again, rare events happen all the time).

Independent estimates of the age of the oldest stars in our galaxy are consistent with the rate of the universe's expansion.
The Big Bang is consistent with all the different ways we observed our universe, with independent methods.
