.NH 1
a cosmic mystery story: weighing the universe
.PP
.METAINFO1
This chapter presents the thoughts of the scientific community while unravelling some mysteries about our universe.
This includes how galaxies and clusters of galaxies are working, dark matter, gravity, nature of matter in our universe, etc.
This chapter also is about the excitment felt by L. Krauss as a young scientist, and his perspectives in the 1980s.
Finally, the chapter describes how a picture of a 5 billion light-years away galaxy tells us about the distribution of mass within a cluster of galaxies (and
.B "how our universe will end" ,
probably).
.METAINFO2

.ft R
.QUESTION "How will the Universe end?"
Since the Universe isn't static, there are three main possibilities.
The first one is the
.I "Big Crunch" :
the Universe will collapse, creating a reverse Big Bang.
In the second case the Universe will
.B almost
stop expanding.
Last possibility, the Universe will continue to expand at a finite rate.
To answer this question, we use the theory of general relativity and we need to know the total mass of the universe.
.
.SH
First, the nature of the universe
.PP
Gravity shapes solar systems as well as galaxies and
.I clusters
of galaxies.
But the apparent gravity force cannot be explained only by visible objects, such as stars and planets.
For example, the movement speed of stars (and hot gas) within our galaxy isn't explained only by the sum of gravitational forces of other stars, gas and planets.

Also, the mathematical formulas leading to the explanation of the abundance of light elements (hydrogen, helium and lithium) in the universe\*[*]
give an approximation of the total number of protons and neutrons must exist in the universe.
Problem: there should be twice the amount of material we can see in stars and hot gas\*[*].
Second problem: even then, this isn't even remotely near enough material to explain the mass of galaxies.
Invisible matter should represent ten times the mass of visible matter.
So, this
.I "dark matter"
cannot be only made of neutrons and protons.
.FS
TODO: explain these formulas.
.FE
.FS
Some of the non observed matter is contained in planets, since it is hard to see something that doesn't produce light.
.FE

.EXPLANATION1
The Universe is mostly made of matter we don't understand.
.EXPLANATION2
.
.SH
Identifying this dark matter
.PP
Maybe this dark matter is made of a particle that can be identified through calculations or educated guess for example.
This way, new experiments could be proposed to detect this dark matter, and learn more on what appears to be the main component of the universe.
Later, to that end, we built machines on Earth to recreate an environment where these particles could be created (see the
.I "Large Hadron Collider" ).
We also created dectectors, deep in mines to avoid perturbations from all sorts of cosmic rays.

.CITATION1
The job of physics is not to invent things we cannot see to explain things we can see, but to figure out how to see what we cannot see.
.CITATION2
.NAMECITATION "Lawrence Krauss"

Knowing the abundance (and the nature) of dark matter is important to know how the Universe will end.
Two possibilities are given in the book to make this calculation.
First, in case this "dark matter" was created during the Big Bang, then its abundance could be estimated by ideas from the forces that govern the interactions of elementary particles.
Second, by reusing some ideas from particle physics\*[*].
.FS
In both cases: the chapter doesn't include an explanation of what these
.I ideas
could be.
That's kind of a bummer.
.FE
.
.SH
More about general relativity
.PP
.\" .CITATION1
.\" If these particles were created in the Big Bang, like the light elements (hydrogen, helium and lithium), then we should be able to use ideas about the forces that govern the interactions of elementary particles (instead of the interactions of nuclei relevant to determine elemental abundance) to estimate the abundance of possible exotic new particles in the universe today.
.\" .CITATION2
.\" .NAMECITATION "Lawrence Krauss"
.
Einstein general relativity predicted that space is curved in the presence of matter or energy.
This leads to our universe having different possible geometries depending on the total density of mass in the universe\*[*].
.FS
This isn't explained further in the chapter how the general relativity actually indicates that.
Second bummer.
.FE

The first possible geometry of our universe could be
.I closed .
It can be described as a
.I "three-dimensional sphere" .
A way to picture it is to imagine looking far enough in any direction and see the back of your head.
In this case, the general relativity tells us the energy density of the universe is dominated by matter like stars, galaxies and this
.I "dark matter" ,
and will end in a Big Crunch.
The second is the
.I open
universe.
The universe will continue to expand at a finite rate.
Finally, the
.I flat
universe, which expands but slows down with time without ever stopping.
This requires the "dark matter" to be 100 times more massive than visible matter\*[*].
.FS
TODO: the difference between Big Crunch, flat and open isn't clear
.B "at all" .
This probably needs some polishing.
.FE
.
.SH
Back to the main track: weighting the universe
.LP
.QUESTION "How to get the density of mass in the universe?"
The largest gravitationally bound objects are
.I "superclusters of galaxies"
that can contain thousands of galaxies (or more).
These are so massive, most of galaxies are within a supercluster.
Measuring the weight of a supercluster (which also includes its dark matter) and then estimating the density of superclusters in the universe leads to
.I "weighting the universe".

.QUESTION "How to get the density of mass of a supercluster?"
In one word: gravity.
Gravity bends space, so bright objects behind something massive (such as a galaxy, or a cluster of galaxies) can be seen.
So, gravitational lensing is a thing.
Also, Fritz Zwicky analyzed as early as 1933 that galaxies in the Coma cluster were moving so fast they would have quit the cluster unless the cluster was 100 times more massive than the sum of the masses of the stars.
Therefore, the speed of galaxies in a cluster can be some sort of metric to estimate the density of a cluster, too.

.METAINFO1
Note: at the time, little was known of black holes, red dwarves, neutron stars, etc.
A good chunk of the missing mass actually comes from these objects, with little to no light emissions.
And some emissions are infrared, which isn't easily visible on Earth, so we waited orbital telescopes to observe them.
.METAINFO2

In 1998, the physicist Tony Tyson shows that the mass of a cluster mostly comes from between the galaxies.
He used magnified images of a distant galaxy from the Hubble Space Telescope to calculate its mass.
The mass was computed with a mathematical model of the cluster of the galaxy, using laws of general relativity, and calculating a lot of paths\*[*].
.FS
From what is actually written in the book, this seems almost like an exhaustive computation.
An evolutionary algorithm maybe?
Too bad there isn't much details: Krauss said the model was based on general relativity but the actual algorithm (to some extent) could have been interesting to learn.
.FE
Finally, once the model produced an image matching the observation, the model was used to determine the mass of the cluster.
The result was, as stated before, that the mass of the cluster mostly comes from between the galaxies, not from stars or hot gases.
More precisely: there is 40 times more mass between the galaxies than within, which is 300 times more mass than within stars alone with the rest of visible matter in hot gas around them.
.SH
More on dark matter
.LP
.CITATION1
[...] more recent observations from other areas of astronomy have confirmed that the total amount of dark matter in galaxies and clusters is far in excess of that allowed by the calculations of Big Bang nucleosynthesis.
Dark matter must be made of something that isn't normally on Earth nor in stars.
.CITATION2
.NAMECITATION "Lawrence Krauss"

Dark matter should be all around us, including basically everywhere on Earth.
It should be comprised of an elementary particle (or several particles) and experiments are done to detect it.
As already said: deep in mines and with the LHC.
Since it doesn't interact electromagnetically (therefore, it doesn't absorb, reflect or emit light), we assume that its interactions with normal material are extremely weak.
Dark matter could, for example, traverse anything.
Therefore, it will be difficult to detect.
Removing most of the cosmic rays of the equation is necessary and this is why the dark matter detection is expected to be made deep in mines.
The LXC also has a great chance to detect dark matter, by recreating what is thought to be an environment near the conditions of the early universe.
This is done by smashing protons together with an incredible energy.
Direct observation is not necessary, an imbalance between the energy used to smash protons and the result could be an indicator that something emerged from the experiment.

.METAINFO1
The book is from 2009, since then the LXC actually produced results.
However, at the time of this writting (october 2021), still no direct confirmation that dark matter actually exists.
.METAINFO2
.
.SH
Conclusion
.PP
Even if dark matter isn't observed, gravitational lensing still provided the clusters' mass.
This is confirmed by independant estimates of the clusters' mass.
For example, the X-rays emissions of a cluster are related to the temperature of its gas, which itself is related to the cluster's mass.
And the final result is: the total mass in and around galaxies and clusters only is 30 percent of the total amount of mass needed for our universe to be flat.
Even if the invisible matter is 40 times more massive than visible matter, this is still way less than required for our universe to be flat.

So we are living in an open universe, expanding forever... or maybe not!

.METAINFO1
Yes, there is a cliffhanger at the end of the chapter.
Stay tuned, kids!
.METAINFO2

.SH
Random facts
.LP
.ft H
.PS
.ps 7
reset
scale = 1.4
mag_massive_obj_x = 1.4
mag_massive_obj_y = -1
.
rad_obs = 0.3
rad_massive_obj = 0.5
rad_mag = 0.4
rad_dist = 0.27
.
.defcolor lightgreen rgb 0.9 1.0 0.9
.defcolor lightblue  rgb 0.9 0.9 1.0
.defcolor bloatcode  rgb 1.0 0.1 0.1
down
OBSERVER: circle rad rad_obs "Observer"
move
MASSIVE_OBJECT: circle rad rad_massive_obj "Massive" "object"
move 1
TARGET: circle rad rad_dist "Distant" "object"
move to MASSIVE_OBJECT + ( mag_massive_obj_x, mag_massive_obj_y)
MAGNIFIED1: circle rad rad_mag "Magnified" "distant" "object"
move to MASSIVE_OBJECT + (-mag_massive_obj_x, mag_massive_obj_y)
MAGNIFIED2: circle rad rad_mag "Magnified" "distant" "object"
.
line from MAGNIFIED1 to OBSERVER chop rad_mag chop rad_obs dashed
line from MAGNIFIED2 to OBSERVER chop rad_mag chop rad_obs dashed
.
rad_correction = 0.32
spline -> from TARGET to MASSIVE_OBJECT.e + (rad_massive_obj-rad_correction,0) to OBSERVER chop rad_dist chop rad_obs
spline -> from TARGET to MASSIVE_OBJECT.w + (-rad_massive_obj+rad_correction,0) to OBSERVER chop rad_dist chop rad_obs
.
move to TARGET + (0,-0.7)
.ps 14
"Gravitational lensing"
.PE
.ft R

According to Zwicky, gravitational lensing can be useful for:
.BULLET
testing the general relativity;
.BULLET
using galaxies to magnify distant objects;
.BULLET
determine the mass of a galaxy or a cluster.
.ENDBULLET
.SH
Anecdotes
.PP
Einstein became famous mostly because he predicted sunlight curving around the Sun during an eclipse in 1919.
It wasn't because of its famous mathematical equation in 1904:
.EQ
E = mc sup 2
.EN

Einstein predicted that gravity could help see objects beyond other objects, through lensing.
Gravity bends space, so bright objects behind a massive object can still be seen.
This is practical: objects can be seen by gravitational lensing via galaxies or cluster of galaxies.
However, Einstein thought at the time that his prediction was useless since he only thought of star by star lensing.
